# ModelTrain 插件

此插件用来训练一个模型，interface 提供一个训练模型基本参数的配置能力，但是这些参数不应该是必须的，允许插件开发者在插件内部定义其认为合适的超参数。

```
interface PipcookPlugin {
}

interface ArgsType {
  [key: string]: any;
}


interface DataDescriptor {
  name: string;
  type: DataType;
  shape: number[];
  possibleValues?: string[] | number[];
  valueMap?: any;
}

interface metaData {
  feature: DataDescriptor;
  label: DataDescriptor;
  trainSize?: number;
  validationSize?: number;
  testSize?: number;
}

interface UniformSampleData{
  trainData: any;
  validationData?: any;
  testData?: any;
  metaData: metaData;
  dataStatistics?: statistic[];
  validationResult?: {
    result: boolean;
    message: string;
  }
}

export interface ModelDefineArgsType extends ArgsType {
  modelId: string;
}

export interface ModelDefineAndSaveFunction {
  (modelPath: string): any
}

export interface PipcookModel {
  model: any;
  type: 'text classification' | 'image classification' | 'object detection';
  metrics?: any;
  inputShape?: number[];
  inputType: string;
  outputShape?: number[];
  outputType: string;
  history?: tf.History;
  save: ModelDefineAndSaveFunction;
  predict: any;
  modelName: string;
  modelPath?: string;
  config?: any;
}


export interface ModelTrainType extends PipcookPlugin {
  (data: UniformSampleData | UniformSampleData[], model: PipcookModel | PipcookModel[], args?: ArgsType): Promise<PipcookModel>
}
```

输入：训练数据，加载的模型，训练有关的所有超参数<br />输出： 模型信息
